# frozen_string_literal: true

module  Apiphobic
module  Matchers
class   Subdomain
  attr_accessor :allowed_subdomains,
                :request

  def initialize(allowed_subdomains:)
    self.allowed_subdomains = Array(allowed_subdomains)
  end

  def matches?(request)
    self.request = request

    allowed_subdomains.include? request.subdomain
  end
end
end
end
