# frozen_string_literal: true

require 'apiphobic/errors/invalid_request_body'
require 'apiphobic/responses/invalid'

module  Apiphobic
module  Responses
class   InvalidRequestBody < Responses::Invalid
  def self.call(env)
    error ||= Errors::InvalidRequestBody.new(
                request_body: env['rack.input'].read,
              )

    super(env, error: error)
  end
end
end
end
