# frozen_string_literal: true

require 'apiphobic/errors/invalid_subdomain'
require 'apiphobic/responses/invalid'

module  Apiphobic
module  Responses
class   InvalidSubdomain < Responses::Invalid
  def self.call(env)
    error ||= Errors::InvalidSubdomain.new(
                http_host: env['HTTP_HOST'],
              )

    super(env, error: error)
  end
end
end
end
